Subject: Re: linux-next: manual merge of the arm-mpidr tree with the arm tree

From: Russell King <[email-masked]>
Date: Wed, 19 Jun 2013 09:26:19 +0100

On Wed, Jun 19, 2013 at 10:44:09AM +1000, Stephen Rothwell wrote:
> Hi Lorenzo,
> 
> Today's linux-next merge of the arm-mpidr tree got a conflict in
> arch/arm/kernel/suspend.c between commit aa1aadc3305c ("ARM: suspend: fix
> CPU suspend code for !CONFIG_MMU configurations") from the arm tree and
> commit 3fed6a1e3bf0 ("ARM: kernel: implement stack pointer save array
> through MPIDR hashing") from the arm-mpidr tree.
> 
> I fixed it up (see below) and can carry the fix as necessary (no action
> is required).
> 
> P.S. that arm tree commit above has no Signed-off-by from its
> committer :-(

Oh bloody hell.  Now what do I do about that.  The branch is a declared
stable branch, and the commit came in from someone elses tree.  So it's
immutable...

Is there any script around which checks that kind of stuff?

-- 
Russell King
 Linux kernel    2.6 ARM Linux   - http://www.arm.linux.org.uk/
 maintainer of: